//
// ProjectAPI.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation
import Alamofire


open class ProjectAPI {
    /**

     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func apiProjectGetProjectsGet(completion: @escaping ((_ data: ProjectArrayResponseModel?,_ error: Error?) -> Void)) {
        apiProjectGetProjectsGetWithRequestBuilder().execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     - GET /api/Project/GetProjects
     - 

     - examples: [{contentType=application/json, example={
  "Data" : [ {
    "StartDate" : "2000-01-23T04:56:07.000+00:00",
    "Description" : "Description",
    "IsActive" : true,
    "Id" : 0,
    "EndDate" : "2000-01-23T04:56:07.000+00:00",
    "Name" : "Name"
  }, {
    "StartDate" : "2000-01-23T04:56:07.000+00:00",
    "Description" : "Description",
    "IsActive" : true,
    "Id" : 0,
    "EndDate" : "2000-01-23T04:56:07.000+00:00",
    "Name" : "Name"
  } ],
  "ErrorMessage" : "ErrorMessage"
}}]

     - returns: RequestBuilder<ProjectArrayResponseModel> 
     */
    open class func apiProjectGetProjectsGetWithRequestBuilder() -> RequestBuilder<ProjectArrayResponseModel> {
        let path = "/api/Project/GetProjects"
        let URLString = SwaggerClientAPI.basePath + path
        let parameters: [String:Any]? = nil
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<ProjectArrayResponseModel>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "GET", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
}
